<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="ChangeListManager">
    <list default="true" id="4ec88ddc-1277-4744-bbe4-084a03b69f6a" name="Default Changelist" comment="">
      <change afterPath="$PROJECT_DIR$/../design.patterns.1/media/Null_Object.svg" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../design.patterns.1/media/servant.png" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../design.patterns.1/readme.md" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/media/Flyweight.svg" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/media/Object_pool.svg" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/readme.md" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/snippets/cz/ictpro/lectures/java/patterns/FlyWeight.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/snippets/cz/ictpro/lectures/java/patterns/Original.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/snippets/cz/ictpro/lectures/java/patterns/Ovoce.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/snippets/cz/ictpro/lectures/java/patterns/PooledObject.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/snippets/cz/ictpro/lectures/java/patterns/PooledObjectPool.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/snippets/cz/ictpro/lectures/java/patterns/Singleton.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../design.patterns.3/build.gradle" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../design.patterns.3/media/Command.svg" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../design.patterns.3/media/Iterator.svg" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../design.patterns.3/media/Proxy.svg" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../design.patterns.3/media/State.svg" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../design.patterns.3/media/Template_method.svg" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../design.patterns.3/readme.md" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../design.patterns.3/scriplet/cz/ictpro/java/design/patterns/ActionCreator.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../design.patterns.3/scriplet/cz/ictpro/java/design/patterns/Client.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../design.patterns.3/scriplet/cz/ictpro/java/design/patterns/Command.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../design.patterns.3/scriplet/cz/ictpro/java/design/patterns/KinoAction.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../design.patterns.3/scriplet/cz/ictpro/java/design/patterns/VirtualProxyKinoClient.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../design.patterns.3/src/main/java/cz/ictpro/tieto/state/Acounts.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../design.patterns.3/src/main/java/cz/ictpro/tieto/state/AcountsWithState.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../design.patterns.4/media/Adapter_1.svg" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../design.patterns.4/media/Composite.svg" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../design.patterns.4/media/Facade.svg" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../design.patterns.4/readme.md" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../design.patterns.4/scriplet/cz/ictpro/java/design/patterns/Adapter.java" afterDir="false" />
    </list>
    <option name="EXCLUDED_CONVERTED_TO_IGNORED" value="true" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="FileEditorManager">
    <leaf>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/snippets/cz/ictpro/lectures/java/patterns/Singleton.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="88">
              <caret line="4" column="53" selection-start-line="4" selection-start-column="49" selection-end-line="4" selection-end-column="53" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/snippets/cz/ictpro/lectures/java/patterns/Ovoce.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="613">
              <caret line="31" selection-start-line="31" selection-end-line="31" />
              <folding>
                <element signature="e#189#190#0" expanded="true" />
                <element signature="e#224#225#0" expanded="true" />
                <element signature="e#347#348#0" expanded="true" />
                <element signature="e#382#383#0" expanded="true" />
                <element signature="e#244#245#0" expanded="true" />
                <element signature="e#270#271#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/snippets/cz/ictpro/lectures/java/patterns/Original.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="-113">
              <caret line="5" column="13" selection-start-line="5" selection-start-column="13" selection-end-line="5" selection-end-column="13" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/snippets/cz/ictpro/lectures/java/patterns/PooledObject.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="44">
              <caret line="2" column="13" selection-start-line="2" selection-start-column="13" selection-end-line="2" selection-end-column="13" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/snippets/cz/ictpro/lectures/java/patterns/PooledObjectPool.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="569">
              <caret line="62" selection-start-line="62" selection-end-line="63" selection-end-column="26" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="true">
        <entry file="file://$PROJECT_DIR$/snippets/cz/ictpro/lectures/java/patterns/FlyWeight.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="308">
              <caret line="15" column="10" selection-start-line="15" selection-start-column="10" selection-end-line="15" selection-end-column="10" />
            </state>
          </provider>
        </entry>
      </file>
    </leaf>
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="Class" />
      </list>
    </option>
  </component>
  <component name="Git.Settings">
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$/.." />
  </component>
  <component name="IdeDocumentHistory">
    <option name="CHANGED_PATHS">
      <list>
        <option value="$PROJECT_DIR$/snippets/cz/ictpro/lectures/java/patterns/Singleton.java" />
        <option value="$PROJECT_DIR$/snippets/cz/ictpro/lectures/java/patterns/Ovoce.java" />
      </list>
    </option>
  </component>
  <component name="ProjectFrameBounds" extendedState="6">
    <option name="x" value="260" />
    <option name="y" value="25" />
    <option name="width" value="1400" />
    <option name="height" value="1000" />
  </component>
  <component name="ProjectLevelVcsManager" settingsEditedManually="true" />
  <component name="ProjectView">
    <navigator proportions="" version="1">
      <foldersAlwaysOnTop value="true" />
    </navigator>
    <panes>
      <pane id="ProjectPane">
        <subPane>
          <expand>
            <path>
              <item name="design.patterns.2" type="b2602c69:ProjectViewProjectNode" />
              <item name="design.patterns.2" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="design.patterns.2" type="b2602c69:ProjectViewProjectNode" />
              <item name="design.patterns.2" type="462c0819:PsiDirectoryNode" />
              <item name="snippets" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="design.patterns.2" type="b2602c69:ProjectViewProjectNode" />
              <item name="design.patterns.2" type="462c0819:PsiDirectoryNode" />
              <item name="snippets" type="462c0819:PsiDirectoryNode" />
              <item name="patterns" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="design.patterns.2" type="b2602c69:ProjectViewProjectNode" />
              <item name="design.patterns.2" type="462c0819:PsiDirectoryNode" />
              <item name="snippets" type="462c0819:PsiDirectoryNode" />
              <item name="patterns" type="462c0819:PsiDirectoryNode" />
              <item name="FlyWeight.java" type="529ef68f:ClassesTreeStructureProvider$PsiClassOwnerTreeNode" />
            </path>
          </expand>
          <select />
        </subPane>
      </pane>
      <pane id="Scope" />
      <pane id="PackagesPane" />
    </panes>
  </component>
  <component name="PropertiesComponent">
    <property name="WebServerToolWindowFactoryState" value="false" />
    <property name="aspect.path.notification.shown" value="true" />
    <property name="com.android.tools.idea.instantapp.provision.ProvisionBeforeRunTaskProvider.myTimeStamp" value="1548670653779" />
    <property name="last_opened_file_path" value="$PROJECT_DIR$" />
    <property name="nodejs_interpreter_path.stuck_in_default_project" value="undefined stuck path" />
    <property name="nodejs_npm_path_reset_for_default_project" value="true" />
    <property name="project.structure.last.edited" value="Modules" />
    <property name="project.structure.proportion" value="0.0" />
    <property name="project.structure.side.proportion" value="0.0" />
  </component>
  <component name="RunDashboard">
    <option name="ruleStates">
      <list>
        <RuleState>
          <option name="name" value="ConfigurationTypeDashboardGroupingRule" />
        </RuleState>
        <RuleState>
          <option name="name" value="StatusDashboardGroupingRule" />
        </RuleState>
      </list>
    </option>
  </component>
  <component name="SvnConfiguration">
    <configuration />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="4ec88ddc-1277-4744-bbe4-084a03b69f6a" name="Default Changelist" comment="" />
      <created>1548667812174</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1548667812174</updated>
      <workItem from="1548667813598" duration="2528000" />
    </task>
    <servers />
  </component>
  <component name="TimeTrackingManager">
    <option name="totallyTimeSpent" value="2528000" />
  </component>
  <component name="ToolWindowManager">
    <frame x="-6" y="0" width="1932" height="1056" extended-state="6" />
    <layout>
      <window_info id="Image Layers" />
      <window_info id="Designer" />
      <window_info id="UI Designer" />
      <window_info id="Capture Tool" />
      <window_info id="Favorites" side_tool="true" />
      <window_info active="true" content_ui="combo" id="Project" order="0" visible="true" weight="0.2708108" />
      <window_info id="Structure" order="1" side_tool="true" weight="0.25" />
      <window_info anchor="bottom" id="Docker" show_stripe_button="false" />
      <window_info anchor="bottom" id="Database Changes" />
      <window_info anchor="bottom" id="Version Control" />
      <window_info anchor="bottom" id="Terminal" />
      <window_info anchor="bottom" id="Event Log" side_tool="true" />
      <window_info anchor="bottom" id="Message" order="0" />
      <window_info anchor="bottom" id="Find" order="1" />
      <window_info anchor="bottom" id="Run" order="2" />
      <window_info anchor="bottom" id="Debug" order="3" weight="0.4" />
      <window_info anchor="bottom" id="Cvs" order="4" weight="0.25" />
      <window_info anchor="bottom" id="Inspection" order="5" weight="0.4" />
      <window_info anchor="bottom" id="TODO" order="6" />
      <window_info anchor="right" id="Palette" />
      <window_info anchor="right" id="Theme Preview" />
      <window_info anchor="right" id="Maven" />
      <window_info anchor="right" id="Capture Analysis" />
      <window_info anchor="right" id="Palette&#9;" />
      <window_info anchor="right" id="Database" />
      <window_info anchor="right" id="Commander" internal_type="SLIDING" order="0" type="SLIDING" weight="0.4" />
      <window_info anchor="right" id="Ant Build" order="1" weight="0.25" />
      <window_info anchor="right" content_ui="combo" id="Hierarchy" order="2" weight="0.25" />
    </layout>
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="version" value="1" />
  </component>
  <component name="editorHistoryManager">
    <entry file="file://$PROJECT_DIR$/snippets/cz/ictpro/lectures/java/patterns/Singleton.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="88">
          <caret line="4" column="53" selection-start-line="4" selection-start-column="49" selection-end-line="4" selection-end-column="53" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/snippets/cz/ictpro/lectures/java/patterns/Ovoce.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="613">
          <caret line="31" selection-start-line="31" selection-end-line="31" />
          <folding>
            <element signature="e#189#190#0" expanded="true" />
            <element signature="e#224#225#0" expanded="true" />
            <element signature="e#347#348#0" expanded="true" />
            <element signature="e#382#383#0" expanded="true" />
            <element signature="e#244#245#0" expanded="true" />
            <element signature="e#270#271#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/snippets/cz/ictpro/lectures/java/patterns/Original.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-113">
          <caret line="5" column="13" selection-start-line="5" selection-start-column="13" selection-end-line="5" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/snippets/cz/ictpro/lectures/java/patterns/PooledObject.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="44">
          <caret line="2" column="13" selection-start-line="2" selection-start-column="13" selection-end-line="2" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/snippets/cz/ictpro/lectures/java/patterns/PooledObjectPool.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="569">
          <caret line="62" selection-start-line="62" selection-end-line="63" selection-end-column="26" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/snippets/cz/ictpro/lectures/java/patterns/FlyWeight.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="308">
          <caret line="15" column="10" selection-start-line="15" selection-start-column="10" selection-end-line="15" selection-end-column="10" />
        </state>
      </provider>
    </entry>
  </component>
  <component name="masterDetails">
    <states>
      <state key="ArtifactsStructureConfigurable.UI">
        <settings>
          <artifact-editor />
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="FacetStructureConfigurable.UI">
        <settings>
          <last-edited>No facets are configured</last-edited>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="GlobalLibrariesConfigurable.UI">
        <settings>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="JdkListConfigurable.UI">
        <settings>
          <last-edited>1.8.0_191</last-edited>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="ModuleStructureConfigurable.UI">
        <settings>
          <last-edited>design.patterns.2</last-edited>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
                <option value="0.6" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="ProjectLibrariesConfigurable.UI">
        <settings>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
    </states>
  </component>
</project>